EndpointsCoaching Sessions

Export coaching session

GET/v2/coaching-sessions/{coaching_session_id}/export

Downloads the session as the Co-play session folder: session.json, feedback.jsonl, interactions.jsonl, context.json, notes.md, the pinned policy file when one exists, completed analyses, and optionally the recording.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

coaching_session_id*Coaching Session Id

Coaching session to export.

Match^csn_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

include_video?Include Video

Include recording.webm in the archive.

Defaultfalse
curl -X GET "https://softmax.com/api/observatory/v2/coaching-sessions/string/export"
"string"